/**
 * Test case for setup.
 * Runs with nodeunit.
 */

var setup = require('../lib/setup.js'),
    path = require('path'),
    coz = require('coz');

var tmpDir = __dirname + '/../tmp';

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Setup'] = function (test) {
    var dirname = tmpDir + '/foo/bar';
    setup({
        configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
    })(function (err, bud) {
        bud.forEach(function(bud){
            bud.path = path.resolve(dirname, bud.path);
        });
        test.ok(bud);
        coz.render(bud, {}, function (err) {
            test.ifError(err);
            test.done();
        });
    });
};

